stages:
  - build
  - test

image: mytest

variables:
  IMAGE_TAG: filippovdenis/budgetsrv2:go-docker
  CI_REGISTRY_IMAGE: hub.docker.com/filippovdenis/budgetsrv2:go-docker

build:
  stage: build
  image: docker:19.03
  services:
    - docker:dind
  script:
    - docker build -t mytest .

check_syntax:
  stage: test
  script:
    - tflint